Subject: Strange ls and dir problems

From: "David C. Brown" <[email-masked]>
Date: Tue, 15 Aug 1995 13:45:15 -0400 (EDT)

I'm in the process of setting our FTP server for guest access only.

I current have two account (same group) which get chrooted same directory:

/etc/password
user1:*:101:120:Local user,,,:/usr2/ftpshared/./proj1:/bin/csh
user2:*:102:120:Remote user,,,:/usr2/ftpshared/./proj1:/bin/csh

/etc/group
partners:*:120:user1,user2
project1:*:200:user1,user2

ls -l /usr/ftpshared

drwxrwx---  2 user2    project1 512 Aug 15 07:37 proj1

ls -l /usr/ftpshared/proj1
-r-xr-xr-x  1 root    wheel      473 Aug 15 07:37 .login
-rw-r--r--  1 user1   project1 18853 Aug 14 15:59 ioffice.gif
-rw-r--r--  1 user1   project1 23759 Aug 14 15:59 office2.gif
-rw-r--r--  1 user1   project1 42685 Aug 14 15:59 office3.gif

Once I connect with either user1 or user2     ls -l  nor  dir  work    

If I conncect from a UNIX host it ls looks like this:

230 User user1 logged in.  Access restrictions apply.
Remote system type is UNIX.
Using binary mode to transfer files.
ftp> ls
200 PORT command successful.
150 Opening ASCII mode data connection for /bin/ls.
226 Transfer complete.
ftp> dir
200 PORT command successful.
150 Opening ASCII mode data connection for /bin/ls.
226 Transfer complete.
ftp> 

If I use the same account but connect from PC ftp command line client:

230 User user1 logged in.  Access restrictions apply.
Using binary mode to transfer files.
ftp> ls
200 PORT command successful.
150 Opening ASCII mode data connection for /bin/ls.
ioffice.gif
office2.gif
office3.gif
.login
Transferred 47 bytes in 0 seconds (0.045 Kbytes/sec)
226 Transfer complete.
ftp> dir
200 PORT command successful.
150 Opening ASCII mode data connection for /bin/ls.
Transferred 0 bytes in 0 seconds (0.000 Kbytes/sec)
226 Transfer complete.
ftp>

The 2 BIG Questions...

Why would the directory information change depending on the FTP client 
use to access the server?

Why doesn't the   ls - l  or the dir commands work??

Thanks in advance,

David C. Brown                                  Air Products and Chemicals, Inc.
[email-masked]                          7201 Hamilton Blvd.
                                                Allentown, PA 18195-1501
The opinion expressed are mine, not Air Products'.